<?php

/**
 * @file
 * Describe hooks provided by the ngsl_access_byfile module.
 */

/**
 * Describe AccessByFile API classes
 *
 * Returns a keyed array of apis.
 * The key is the name of the API, and the value is the class name of the API
 * The API class must extend the NGSLAccessByFileAPI class.
 */
function hook_ngsl_access_byfile_apis() {
  $apis = array(
    'simple' => 'NGSLAccessByFileAPISimple',
  );

  return $apis;
}

/**
 * Describe AccessByFile Handler classes
 *
 * Returns a keyed array of handlers.
 * The key is the name of the handler, and the value is the class name of the handler.
 * The handler class must extend the NGSLAccessByFileHandler class.
 */
function hook_ngsl_access_byfile_handlers() {
  $handlers = array(
    'userrole'    => 'NGSLAccessByFileHandlerUserRole',
    'ucorder'     => 'NGSLAccessByFileHandlerUCOrder',
  );

  return $handlers;
}
